Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1151839 - Review Request: snowball-c - C stemming algorithm library
Summary: Review Request: snowball-c - C stemming algorithm library
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-10-12 13:48 UTC by Pranav Kant
Modified: 2015-07-19 08:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-19 08:41:43 UTC


Attachments (Terms of Use)

Description Pranav Kant 2014-10-12 13:48:38 UTC
Spec URL: http://glug.nith.ac.in/fedora/snowball-c.spec
SRPM URL: http://glug.nith.ac.in/fedora/snowball-c-0-0.1.20141012.fc21.src.rpm

Description: 
Snowball is a small string processing language
designed for creating stemming algorithms
for use in Information Retrieval.

This package contains all you need to include the
snowball stemming algorithms into a C/C++
project of your own. If you use this,
you don't need to use the snowball compiler,
or worry about the internals of the
stemmers in any way.

Fedora Account System Username: pranvk

This is my first package and I am looking for a sponsor.

Comment 1 Pranav Kant 2014-10-12 13:49:56 UTC
I am sorry, here are the new URLs:

Spec URL: http://glug.nith.ac.in/~pranavk/fedora/snowball-c.spec
SRPM URL: http://glug.nith.ac.in/~pranavk/fedora/snowball-c-0-0.1.20141012.fc21.src.rpm

Comment 2 Michael Schwendt 2015-01-17 21:43:55 UTC
Consider pointing the optional fedora-review tool at this ticket:

  fedora-review -b 1151839

It evaluates the "Spec URL:" and "SRPM URL:" lines, downloads the latest files, and performs many checks on test-builds. Not limited to running rpmlint on all packages.


> Version:	0
> Release:	0.1.20141012%{?dist}

Seems you want to apply these guidelines:

  https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages

Also, it will be very important to be aware of this:

  https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Minor_release_bumps_for_old_branches


> Source0:	http://snowball.tartarus.org/dist/libstemmer_c.tgz

snowball-c.src: W: file-size-mismatch libstemmer_c.tgz = 129592, http://snowball.tartarus.org/dist/libstemmer_c.tgz = 129584


> # patch to build shared modules; the upstream doesn't build shared modules' 
> Patch0:		shared-module.patch

Dangerous, if there is no collaboration with upstream. Who will ensure API/ABI stability? What about compatibility with other dists? Will you bump from libstemmer.so.0 to libstemmer.so.1 and libstemmer.so.N, increasing the risk that a future upstream release will reintroduce/reuse a SONAME you've used before?

https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries_2



> %build
> make %{?_smp_mflags}

https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags


> ln -s libstemmer.so.0.0.0 %{buildroot}%{_libdir}/libstemmer.so || :

Why the '|| :'? You want the build to fail, if commands like this fail. With a proper %files section, it would fail later anyway.


> http://snowball.tartarus.org/index.php

| Major events
| 
| September 2014 - Snowball site and software no longer being
| actively maintained
| The code has all been loaded into Github, and we may still
| make very occasional changes.

Comment 3 Till Maas 2015-07-11 11:16:05 UTC
Pranav, do you still want to maintain this?

Comment 4 Pranav Kant 2015-07-11 11:19:08 UTC
Ah ! Sorry that I lost track of it. I would try to fix the SPEC files and resubmit by next week.

Comment 5 Mamoru TASAKA 2015-07-11 11:36:03 UTC
(removing needsponsor)

Comment 6 Pranav Kant 2015-07-17 18:23:08 UTC
| Major events
| 
| September 2014 - Snowball site and software no longer being
| actively maintained
| The code has all been loaded into Github, and we may still
| make very occasional changes.

I noticed this, and now do not have any plans to package this for now.


Note You need to log in before you can comment on or make changes to this bug.